List attribute definitions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/attributes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"is_system": true,
"key": "<string>",
"system_key": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Attributes
List attribute definitions
Lists the attribute definitions under your tenant, each with its key, type, is_system flag, description and deleted_at. Set include_deleted to include definitions that have been deleted.
GET
/
tenant
/
{tenantId}
/
attributes
List attribute definitions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/attributes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"is_system": true,
"key": "<string>",
"system_key": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

